<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE  mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.yonge.cooleshow.biz.dal.dao.LiveBroadcastRoomMemberDao">
	<resultMap id="BaseResultMap" type="com.yonge.cooleshow.biz.dal.entity.LiveBroadcastRoomMember">
            <result column="id_" property="id" />
	        <result column="room_uid_" property="roomUid" />
	        <result column="user_id_" property="userId" />
	        <result column="join_time_" property="joinTime" />
	        <result column="type_" property="type" />
	        <result column="speaker_" property="speaker" />
	        <result column="client_ip_" property="clientIp" />
		</resultMap>
    
    <!-- 表字段 -->
    <sql id="baseColumns">
         t.id_ as id
        , t.room_uid_ as roomUid
        , t.user_id_ as userId
        , t.join_time_ as joinTime
        , t.type_ as type
        , t.speaker_ as speaker
        , t.client_ip_ as clientIp
        </sql>
    
    <select id="detail" resultType="com.yonge.cooleshow.biz.dal.vo.LiveBroadcastRoomMemberVo">
        SELECT
            <include refid="baseColumns"/>
        FROM live_broadcast_room_member t
        where t.id_ = #{id}
    </select>
    
    <select id="selectPage" resultType="com.yonge.cooleshow.biz.dal.vo.LiveBroadcastRoomMemberVo">
		SELECT         
        	<include refid="baseColumns" />
		FROM live_broadcast_room_member t
	</select>
</mapper>